# 客户小区管理需求文档

客户小区管理系统是为客户维护小区提供基础服务，功能模块包括：银联配置、微信菜单配置、小区二维码生成、智能停车场维护。

### 业务说明

- **微信菜单配置：**微信是指C端用户关注的绘服务公众号。通过菜单配置，不同的小区会有相应的菜单，C端用户关注绘服务号后会展现相应的菜单，享受便捷服务。

- **银联配置：**小区与业主的资金往来统一走银联渠道支付，银联给到我们参数，我们为小区配置，实现收取支付功能。

- **小区二维码：** 点击生成小区推广二维码，便于小区宣传服务和用户关注，为小区和业主搭建便捷桥梁。也是我们主要引流入口。

- **智能停车场：** 是小区为业主和访客提供的智能停车服务，是我们与第三方对接完成的，需要我们配置参数。

### 业务流程   [原型地址](https://org.modao.cc/app/e6901721256b50fa80884755fcf42250e875e733)

 **菜单树**

![菜单树](image/菜单树.png)

### 客户小区管理

**客户小区列表页**

![image\客户小区列表页](image/客户小区列表页.png)

所属公司：对应的物业公司

小区名称可**点击**到小区详情页

操作栏有微信、二维码、银行卡三给图标，鼠标移动到图标上显示相应**提示文案**

| 图标                          | 提示文案    |
| --------------------------- | ------- |
| ![image\微信](image/微信.png)   | 微信菜单配置  |
| ![image\二维码](image/二维码.png) | 推广二维码生成 |
| ![image\银联](image/银联.png)   | 银联配置    |

**微信菜单配置**
![ 微信菜单配置](image/微信菜单配置.png)

功能列表只显示**已启用**的功能，详情页上的微信菜单配置同样只显示已启用的。

“微信菜单配置” 标题右侧显示 对应的小区

**节点选择**

- 父节点选中时，下边的子节点全选

- 部分字节的选中时，父节点跟着移动到右侧：已开通功能

- 父节点删除时，下边的子节点全删除

- 子节点删除时，如果还有其他子节点，父节点保留

- 如果父节点下边无子点，父节点删除

**银联配置**
![银联配置](image/银联配置.png)

银联配置页面状态为**锁定**时，此页面不可编辑

详情页中 银联配置 状态显示**锁定**时，**修改按钮不显示。** 

小区名称不可编辑

 **表单字段说明**

| 字段名称 | 字段类型    | 备注                          | 是否必填 |
| ---- | ------- | --------------------------- | ---- |
| 商户号  | varchar | 银联分配,具有独立营业执照的物业公司，一般是分公司id | 是    |
| 终端号  | varchar | 银联分配，对应小区id                 | 是    |
| 状态   | enum    | 开启      停用       锁定         | 是    |

**推广二维码生成**![image\小区推广二维码](image\小区推广二维码.png)

小区推广二维码有二维码和二维码原文组成，用于小区推广，便于引流。

**小区详情页**

![image\小区详情页](image\小区详情页.png)

详情页包含：

- **基本信息**   不可编辑

- **银联配置**   状态为**锁定**时，修改按钮不显示

- **小区停车场**   修改、获取二维码

- **微信菜单配置**    

![小区停车场](image/小区停车场.png)

详情页中小区停车场，点击 二维码图标时，弹出小区二维码图。

![修改停车场信息](image/修改停车场信息.png)

**表字段说明**

| 字段名称    | 字段类型    | 备注                | 是否必填 |
| ------- | ------- | ----------------- | ---- |
| 停车场名称   | string  | 不可编辑              | 是    |
| 厂商车场编号  | varchar | 厂商提供              | 是    |
| 入口数     | varchar |                   | 是    |
| 出口数     | varchar |                   | 是    |
| 厂商缴费URL | varchar | 厂商提供              | 是    |
| 所属厂商    | varchar | 默认是科拓，后期会增加，可做成字典 | 是    |


